<script setup>
import { ref, computed } from "vue"

const props = defineProps({
  title: String,
  height: [Number, String],
  width: [Number, String],
})

// variables
const heightNumber = ref(24)
const widthNumber = ref(24)

if (!Number.isNaN(props.height) && typeof props.height !== "undefined") {
  heightNumber.value = Number.parseInt(props.height)
} else if (typeof props.height === "undefined" && (!Number.isNaN(props.width) && typeof props.width !== "undefined")) {
  heightNumber.value = Number.parseInt(props.width)
}

if (!Number.isNaN(props.width) && typeof props.width !== "undefined") {
  widthNumber.value = Number.parseInt(props.width)
} else if (typeof props.width === "undefined" && (!Number.isNaN(props.height) && typeof props.height !== "undefined")) {
  widthNumber.value = Number.parseInt(props.height)
}

// computed
const titleString = computed(() => {
  if (typeof props.title === "string" && props.title.trim().length > 0) {
    return props.title.trim()
  }
  return ""
})
</script>

<template>
<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" preserveAspectRatio="xMidYMid meet">
  <title v-if="titleString.length > 0" v-html="title"></title>
  <path d="M2 15c6.667-6 13.333 0 20-6"></path>
  <path d="M9 22c1.798-1.998 2.518-3.995 2.807-5.993"></path>
  <path d="M15 2c-1.798 1.998-2.518 3.995-2.807 5.993"></path>
  <path d="m17 6-2.5-2.5"></path>
  <path d="m14 8-1-1"></path>
  <path d="m7 18 2.5 2.5"></path>
  <path d="m3.5 14.5.5.5"></path>
  <path d="m20 9 .5.5"></path>
  <path d="m6.5 12.5 1 1"></path>
  <path d="m16.5 10.5 1 1"></path>
  <path d="m10 16 1.5 1.5"></path>
</svg>
</template>
